Skip to main content
GET
/
ims
/
oneroster
/
rostering
/
v1p2
/
classes
/
{sourcedId}
Get a specific class
curl --request GET \
  --url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/classes/{sourcedId} \
  --header 'Authorization: Bearer <token>'
{
  "class": {
    "sourcedId": "<string>",
    "title": "<string>",
    "classCode": "<string>",
    "location": "<string>",
    "course": {
      "href": "<string>",
      "sourcedId": "<string>",
      "type": "<string>"
    },
    "school": {
      "href": "<string>",
      "sourcedId": "<string>",
      "type": "<string>"
    },
    "terms": [
      {
        "href": "<string>",
        "sourcedId": "<string>",
        "type": "<string>"
      }
    ],
    "dateLastModified": "2023-11-07T05:31:56Z",
    "metadata": {},
    "grades": [
      "3"
    ],
    "subjects": [],
    "subjectCodes": [
      "<string>"
    ],
    "periods": [
      "<string>"
    ],
    "resources": [
      {
        "href": "<string>",
        "sourcedId": "<string>",
        "type": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.timeback.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

sourcedId
string
required

Class sourcedId

Query Parameters

fields
string

Comma-separated list of fields to include in the response

Example:

"sourcedId,name"

Response

Successful response with the requested class

class
object
required

Represents a class.